From ed2df6d9de9c8be9ab5397b0ffc3e61b96dff1a6 Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: Feb 05 2022 18:15:51 +0000
Subject: [PATCH 74/88] generate htaccess for redirect


---

diff --git a/build-scripts/rebuild-site.py b/build-scripts/rebuild-site.py
index 468dbbb..445dbde 100755
--- a/build-scripts/rebuild-site.py
+++ b/build-scripts/rebuild-site.py
@@ -274,6 +274,15 @@ def init_git_repo(path):
     subprocess.run(["git", "config", "user.email", "you@example.com"], cwd=path)
     subprocess.run(["git", "commit", "--allow-empty", "-m", "init"], cwd=path)
 
+def gen_redirect(lang, results_dir):
+    htaccess = os.path.join(results_dir, ".htaccess")
+    latest = "f35"
+    htaccess_content = f"""
+      ErrorDocument 404 /{lang}/404.html
+      Redirect 302 /{lang}/fedora/{latest} /{lang}/fedora/latest
+      """
+    with open(htaccess, "w") as file:
+        file.write(htaccess_content)
 
 def main():
     config = get_config()
@@ -362,6 +371,10 @@ def main():
             target_dir_copying = "/antora/output/en-US.building"
             target_dir_copied = "/antora/output/en-US.building/en-US"
             target_dir_final = "/antora/output/en-US"
+
+            # Generate htaccess for redirect
+            gen_redirect("en-US", os.path.join(source_dir, "en-US"))
+
             shutil.rmtree(target_dir_copying, ignore_errors=True)
             subprocess.run(["cp", "-a", source_dir, target_dir_copying])
             shutil.rmtree(target_dir_final, ignore_errors=True)
@@ -457,6 +470,9 @@ def main():
                 #   3/  move new within mounted
                 #   4/  remove the copying dir
 
+                # Generate htaccess for redirect
+                gen_redirect(lang, results_dir)
+
                 # Make sure copying_dir doesn't exist
                 shutil.rmtree(copying_dir, ignore_errors=True)
 

